as.unit {oce} | R Documentation

## Convert a String to a Unit

### Description

Convert a String to a Unit

### Usage

    as.unit(u, default = list(unit = expression(), scale = ""))

### Arguments

`u` | A character string.
`default` | A default, if the string is not recognized.

### Details

String matching is used to try to guess a unit from a character string.

### Value

A list with elements `unit`, an `expression`, and `scale`, a string.

### Examples

    as.unit("IPTS-69")

[Package oce version 0.9-18 Index]